package com.engine.kq.service.impl;

import com.engine.core.impl.Service;
import com.engine.kq.cmd.attendanceEvent.CheckCardCmd;
import com.engine.kq.cmd.attendanceEvent.CheckEvectionCmd;
import com.engine.kq.cmd.attendanceEvent.CheckLeaveBackCmd;
import com.engine.kq.cmd.attendanceEvent.CheckLeaveCmd;
import com.engine.kq.cmd.attendanceEvent.CheckOutCmd;
import com.engine.kq.cmd.attendanceEvent.CheckOvertimeCmd;
import com.engine.kq.cmd.attendanceEvent.CheckProcessChangeCmd;
import com.engine.kq.cmd.attendanceEvent.CheckShiftCmd;
import com.engine.kq.cmd.attendanceEvent.GetAttendanceCardCmd;
import com.engine.kq.cmd.attendanceEvent.GetEvectionWorkDurationCmd;
import com.engine.kq.cmd.attendanceEvent.GetLeaveBackInfoCmd;
import com.engine.kq.cmd.attendanceEvent.GetLeaveWorkDurationCmd;
import com.engine.kq.cmd.attendanceEvent.GetOutWorkDurationCmd;
import com.engine.kq.cmd.attendanceEvent.GetOverTimeWorkDurationCmd;
import com.engine.kq.cmd.attendanceEvent.GetProcessChangeInfoCmd;
import com.engine.kq.cmd.attendanceEvent.GetProcessChangeTypeCmd;
import com.engine.kq.cmd.attendanceEvent.GetProcessChangeWorkDurationCmd;
import com.engine.kq.cmd.attendanceEvent.GetVacationInfoCmd;
import com.engine.kq.cmd.attendanceEvent.GetWorkDurationCmd;
import com.engine.kq.service.KQAttendanceEventService;
import java.util.Map;
import weaver.hrm.User;

/**
 * 考勤流程相关的ajax请求事件
 */
public class KQAttendanceEventServiceImpl extends Service implements KQAttendanceEventService {

  @Override
  public Map<String, Object> getWorkDuration(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetWorkDurationCmd(params, user));
  }

  @Override
  public Map<String, Object> getLeaveWorkDuration(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetLeaveWorkDurationCmd(params, user));
  }

  @Override
  public Map<String, Object> getEvectionWorkDuration(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetEvectionWorkDurationCmd(params, user));
  }

  @Override
  public Map<String, Object> getOutWorkDuration(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetOutWorkDurationCmd(params, user));
  }
  @Override
  public Map<String, Object> getOverTimeDuration(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetOverTimeWorkDurationCmd(params, user));
  }

  @Override
  public Map<String, Object> getVacationInfo(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetVacationInfoCmd(params, user));
  }

  @Override
  public Map<String, Object> getAttendanceCard(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetAttendanceCardCmd(params, user));
  }

  @Override
  public Map<String, Object> checkLeave(Map<String, Object> params, User user) {
    return commandExecutor.execute(new CheckLeaveCmd(params, user));
  }
  @Override
  public Map<String, Object> checkEvection(Map<String, Object> params, User user) {
    return commandExecutor.execute(new CheckEvectionCmd(params, user));
  }
  @Override
  public Map<String, Object> checkOut(Map<String, Object> params, User user) {
    return commandExecutor.execute(new CheckOutCmd(params, user));
  }

  @Override
  public Map<String, Object> checkLeaveBack(Map<String, Object> params, User user) {
    return commandExecutor.execute(new CheckLeaveBackCmd(params, user));
  }

  @Override
  public Map<String, Object> checkShift(Map<String, Object> params, User user) {
    return commandExecutor.execute(new CheckShiftCmd(params, user));
  }

  @Override
  public Map<String, Object> getLeaveBackInfo(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetLeaveBackInfoCmd(params, user));
  }

  @Override
  public Map<String, Object> getProcessChangeInfo(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetProcessChangeInfoCmd(params, user));
  }

  @Override
  public Map<String, Object> getProcessChangeWorkDuration(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetProcessChangeWorkDurationCmd(params, user));
  }

  @Override
  public Map<String, Object> checkProcessChange(Map<String, Object> params, User user) {
    return commandExecutor.execute(new CheckProcessChangeCmd(params, user));
  }

  @Override
  public Map<String, Object> getProcessChangeType(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetProcessChangeTypeCmd(params, user));
  }

  @Override
  public Map<String, Object> checkCard(Map<String, Object> params, User user) {
    return commandExecutor.execute(new CheckCardCmd(params, user));
  }

  @Override
  public Map<String, Object> checkOvertime(Map<String, Object> params, User user) {
    return commandExecutor.execute(new CheckOvertimeCmd(params, user));
  }

}
